SoMFColor(3)

NAME
SoMFColor - The SoMFColor class is a container for SbColor values.

SYNOPSIS

#include <Inventor/fields/SoMFColor.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFColor & operator= (const SoMFColor &field)
virtual SbBool isSame (const SoField &field) const
const SbColor & operator[] (const int idx) const
const SbColor * getValues (const int start) const
int find (const SbColor &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbColor *newvals)
void set1Value (const int idx, const SbColor &value)
void setValue (const SbColor &value)
const SbColor & operator= (const SbColor &val)
SbBool operator== (const SoMFColor &field) const
SbBool operator!= (const SoMFColor &field) const
SbColor * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const float *userdata)
void setValuesPointer (const int num, float *userdata)
void setValuesPointer (const int num, const SbColor *userdata)
void setValuesPointer (const int num, SbColor *userdata)
void setValues (int start, int num, const float rgb[][3])
void setHSVValues (int start, int num, const float hsv[][3])
void setValue (const SbVec3f &vec)
void setValue (float r, float g, float b)
void setValue (const float rgb[3])
void setHSVValue (float h, float s, float v)
void setHSVValue (const float hsv[3])
void set1Value (int idx, const SbVec3f &vec)
void set1Value (int idx, float r, float g, float b)
void set1Value (int idx, const float rgb[3])
void set1HSVValue (int idx, float h, float s, float v)
void set1HSVValue (int idx, const float hsv[3])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbColor * values

  Additional Inherited Members

Detailed Description

The SoMFColor class is a container for SbColor values. This field is used where nodes, engines or other field containers need to store multiple color values (i.e. 'Red Green Blue' triplets).

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SbColor, SoSFColor

Member Function Documentation

  void * SoMFColor::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFColor::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFColor::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFColor::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFColor::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFColor::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFColor::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbColor * SoMFColor::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFColor::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFColor::setValues (int start, int numarg, const float rgb[][3])
Set num RGB color values, starting at index start.

  void SoMFColor::setHSVValues (int start, int numarg, const float hsv[][3])
Set num HSV color values, starting at index start.

  void SoMFColor::setValue (const SbVec3f & vec)
Set the color array to a single value. vec is interpreted as a three element vector with the red, green and blue components, respectively.

  void SoMFColor::setValue (float r, float g, float b)
Set the color array to a single value. r, g and b are the red, green and blue components, respectively.

  void SoMFColor::setValue (const float rgb[3])
Set the color array to a single value. rgb is a three element vector with the red, green and blue components, respectively.

  void SoMFColor::setHSVValue (float h, float s, float v)
Set the color array to a single value. h, s and v are the hue, saturation and value components, respectively.

  void SoMFColor::setHSVValue (const float hsv[3])
Set the color array to a single value. hsv is a three element vector with the hue, saturation and value components, respectively.

  void SoMFColor::set1Value (int idx, const SbVec3f & vec)
Set the color at idx. vec is interpreted as a three element vector with the red, green and blue components, respectively.

  void SoMFColor::set1Value (int idx, float r, float g, float b)
Set the color at idx. r, g and b is the red, green and blue components, respectively.

  void SoMFColor::set1Value (int idx, const float rgb[3])
Set the color at idx. rgb is interpreted as a three element vector with the red, green and blue components, respectively.

  void SoMFColor::set1HSVValue (int idx, float h, float s, float v)
Set the color at idx. h, s and v is the hue, saturation and value components, respectively.

  void SoMFColor::set1HSVValue (int idx, const float hsv[3])
Set the color at idx. hsv is a three element vector with the hue, saturation and value components, respectively.

Author

Generated automatically by Doxygen for Coin from the source code.